framework:
    secret: '%env(APP_SECRET)%'
    csrf_protection: true
    http_method_override: false

    # Configuration de session sécurisée
    session:
        handler_id: 'session.handler.native_file'
        save_path: '%kernel.project_dir%/var/sessions'
        cookie_lifetime: 0  # 0 = session expire à la fermeture du navigateur
        cookie_secure: auto
        cookie_httponly: true
        cookie_samesite: strict
        gc_probability: 1
        gc_divisor: 100
        gc_maxlifetime: 1440  # 24 minutes

    # Configuration des hôtes de confiance (à modifier selon votre domaine)
    # trusted_hosts: ['yourdomain.com', 'www.yourdomain.com']
    trusted_proxies: ~

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file

when@prod:
    framework:
        # Configuration optimisée pour la production
        session:
            cookie_lifetime: 0  # 0 = session expire à la fermeture du navigateur
            cookie_secure: true  # Force HTTPS en production
            gc_maxlifetime: 3600  # 1 heure en production